@import "../common/styles";

.nge-ui-alert{
    display: block;
    position: relative;
    padding: 8px;
    padding-right: 35px;
    border-width: 1px;
    border-style: solid;
    margin-bottom: 16px;
    margin-top: 16px;
    .bt-icon{
        position: absolute;
        right: 0;
        top: 4px;
    }
    &.critical{
        color: #721c24;
        background: #f8d7da;
        border-color: #f5c6cb;
        .bt-icon{
            svg{
                fill: #f3a6ae;
            }
            &:hover{
                svg{
                    fill:#721c24;
                }
            }
        }
    }
    &.warning{
        color: #856404;
        background-color: #fff3cd;
        border-color: #ffeeba; 
        .bt-icon{
            svg{
                fill: #f7e4aa;
            }
            &:hover{
                svg{
                    fill: #856404;
                }
            }
        }
    }
    &.light{
        color: #818182;
        background-color: #fefefe;
        border-color: #fdfdfe;
        .bt-icon{
            svg{
                fill: #e1e1f1;
            }
            &:hover{
                svg{
                    fill: #818182;
                }
            }
        }
    }
    &.success{
        color: #155724;
        background-color: #d4edda;
        border-color: #c3e6cb;
        .bt-icon{
            svg{
                fill: #c3e6cb;
            }
            &:hover{
                svg{
                    fill: #155724;
                }
            }
        }
    }
    &.dark{
        color: #1b1e21;
        background-color: #d6d8d9;
        border-color: #c6c8ca;
        .bt-icon{
            svg{
                fill: #c6c8ca;
            }
            &:hover{
                svg{
                    fill: #1b1e21;
                }
            }
        }
    }
    &.info{
        color: #0c5460;
        background-color: #d1ecf1;
        border-color: #bee5eb;
        .bt-icon{
            svg{
                fill: #a4d1d8;
            }
            &:hover{
                svg{
                    fill: #0c5460;
                }
            }
        }
    }
}